# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%{!?_mavenpomdir: %global _mavenpomdir %{_datadir}/maven2/poms}

%bcond_with repolib

%define reltag %{nil}
%define namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}

Name:           maven-parent
Version:        21
Release:        1%{?dist}
Epoch:          0
Summary:        Apache Maven parent POM
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org
Source0:        http://repo1.maven.org/maven2/org/apache/maven/maven-parent/21/maven-parent-21-source-release.zip
Requires(post): jpackage-utils
Requires(postun):  jpackage-utils
Requires:       apache-parent >= 0:10
Requires:       jpackage-utils
BuildRequires:  apache-parent >= 0:10
BuildRequires:  jpackage-utils
BuildRequires:  maven2
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-site
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Apache Maven parent POM file used by other Maven projects.

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate

# FIXME: deploy bug
%{__mkdir_p} maven2-brew/org/apache/maven/maven-parent/%{namedversion}/
%{__mv} maven2-brew/org/apache/maven/maven-parent/1.0/* maven2-brew/org/apache/maven/maven-parent/%{namedversion}/ || :
%{__rm} -rf maven2-brew/org/apache/maven/maven-parent/1.0/
pushd maven2-brew/org/apache/maven/maven-parent/%{namedversion}/
for i in *1.0*; do %{__mv} $i `/bin/echo $i | %{__sed} -e 's/1\.0/%{namedversion}/g;'`; done
popd

%install
%{__rm} -rf %{buildroot}

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/apache/maven/maven-parent/%{namedversion}/maven-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-maven-parent.pom

# depmaps
%add_to_maven_depmap org.apache.maven maven-parent %{namedversion} JPP maven-parent
[ -f %{buildroot}%{_mavendepmapfragdir}/maven-parent ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/maven-parent

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc DEPENDENCIES LICENSE NOTICE
%{_mavenpomdir}/JPP-maven-parent.pom
%{_mavendepmapfragdir}/maven-parent

%changelog
* Thu May 24 2012 David Walluck <dwalluck@redhat.com> 0:21-1
- 21
- actually build
- fix defattr
- add DEPENDENCIES to docs
- use upstream version as version
